Bug 1252656 - Review Request: python-nodeenv - Node.js virtual environment builder
Review Request: python-nodeenv - Node.js virtual environment builder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-11 22:34 EDT by Chandan Kumar
Modified: 2015-10-31 22:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-11 22:34:38 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-nodeenv.spec

SRPM URL: https://chandankumar.fedorapeople.org/python-nodeenv-0.13.3-1.fc22.src.rpm 

Description: nodeenv (node.js virtual environment) is a tool to create isolated node.js
environments. It creates an environment that has its own installation directories, that
doesn’t share libraries with other node.js virtual environments.

Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10676480
Comment 1 Parag AN(पराग) 2015-08-13 00:18:16 EDT
Issues:
1) We recently changed Python guidelines for F22+ and EPEL7. Please look again https://fedoraproject.org/wiki/Packaging:Python and change the spec file

2) Add the python3 support as well, as we have python3 default in Fedora 23.

3) Fix rpmlint warning as well. See https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_files



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/parag/1252656-python-
     nodeenv/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[-]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-nodeenv-0.13.3-1.fc24.noarch.rpm
          python-nodeenv-0.13.3-1.fc24.src.rpm
python-nodeenv.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
python-nodeenv.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
python-nodeenv.noarch: W: spelling-error %description -l en_US doesn -> does, does n
python-nodeenv.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nodeenv.py 644 /usr/bin/env
python-nodeenv.noarch: W: no-manual-page-for-binary nodeenv
python-nodeenv.src: W: spelling-error Summary(en_US) js -> dis, ks, j
python-nodeenv.src: W: spelling-error %description -l en_US js -> dis, ks, j
python-nodeenv.src: W: spelling-error %description -l en_US doesn -> does, does n
2 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
python-nodeenv.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nodeenv.py 644 /usr/bin/env
python-nodeenv.noarch: W: no-manual-page-for-binary nodeenv
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python-nodeenv (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-setuptools



Provides
--------
python-nodeenv:
    python-nodeenv



Source checksums
----------------
https://pypi.python.org/packages/source/n/nodeenv/nodeenv-0.13.3.tar.gz :
  CHECKSUM(SHA256) this package     : 41133782411be0c500e04e997b211823f862fe1b9387adf172bc476b5ede0df2
  CHECKSUM(SHA256) upstream package : 41133782411be0c500e04e997b211823f862fe1b9387adf172bc476b5ede0df2
Comment 2 Upstream Release Monitoring 2015-09-29 15:07:42 EDT
chandankumar's scratch build of python-nodeenv-0.13.6-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11268590
Comment 3 Chandan Kumar 2015-09-29 15:11:48 EDT
Hello Parag,

Thanks for the review.
Below is the updated
SPEC: https://chandankumar.fedorapeople.org/python-nodeenv.spec
SRPM: https://chandankumar.fedorapeople.org/python-nodeenv-0.13.6-1.fc22.src.rpm

and Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11268590

Thanks,

Chandan Kumar
Comment 4 Chandan Kumar 2015-09-30 02:40:30 EDT
Hello Parag,

Here is the updated 
SPEC: https://chandankumar.fedorapeople.org/python-nodeenv.spec
SRPM: https://chandankumar.fedorapeople.org/python-nodeenv-0.13.6-2.fc22.src.rpm

Thanks,

Chandan Kumar
Comment 5 Parag AN(पराग) 2015-09-30 05:16:10 EDT
I don't think you need to make nodeenv.py file executable to silent rpmlint warning. You can actually remove shebang and keep file permissions 644.

Otherwise looks fine.

APPROVED.
Comment 6 Chandan Kumar 2015-09-30 07:43:43 EDT
New Package SCM Request
=======================
Package Name: python-nodeenv
Short Description: Node.js virtual environment builder
Upstream URL: https://github.com/ekalinin/nodeenv
Owners: chandankumar apevec
Branches: f23
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-30 09:59:06 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-10-01 03:34:56 EDT
python-nodeenv-0.13.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e186ce251
Comment 9 Fedora Update System 2015-10-03 21:53:33 EDT
python-nodeenv-0.13.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-nodeenv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e186ce251
Comment 10 Fedora Update System 2015-10-31 22:47:49 EDT
python-nodeenv-0.13.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.